//ESPCBLD JOB <job parameters>
//**********************************************************************
//* Licensed materials - Property of IBM
//* 5755-AC5 5724-T07 Copyright IBM Corp. 2023
//* All rights reserved
//* US Government users restricted rights  -  Use, duplication or
//* disclosure restricted by GSA ADP schedule contract with IBM Corp.
//*
//* A JCL that compiles and links ZUnit sample programs,
//* EPSCMORT.cbl and related.
//* You should submit this JCL to remote system
//* before proceding sample scenario.
//*
//* CAUTION: This is neither a JCL procedure nor a complete job.
//* Before using this job step, you will have to make the following
//* modifications:
//*
//* 1) Add the job parameters to meet your system requirements.
//*
//* 2) Provide, in variable HLQ, the high-level qualifier(s) of the
//*    allocated data sets (default is your user ID).
//**********************************************************************
//* YOU CAN CHANGE HLQ FOR PDS
//        SET HLQ=&SYSUID.
//*
//* COMPILE EPSCMORT AND EPSNBRVL
//STP0000 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('ADATA',
// 'EX(ADX(ELAXMGUX))',
// 'LIB,SOURCE',
// 'TEST',
// 'LIST',
// 'CICS(''APOST'')')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(EPSCMORT)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(EPSCMORT)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSCMORT)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=DFH.V5R4M0.CICS.SDFHCOB
//        DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(EPSCMORT)
//*
//STP0001 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(EPSNBRVL)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(EPSNBRVL)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSNBRVL)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=DFH.V5R4M0.CICS.SDFHCOB
//        DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(EPSNBRVL)
//*
//STP0002 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('ADATA',
// 'EX(ADX(ELAXMGUX))',
// 'LIB,SOURCE',
// 'TEST',
// 'LIST',
// 'CICS(''APOST'')')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(EPSCSMRT)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(EPSCSMRT)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSCSMRT)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=DFH.V5R4M0.CICS.SDFHCOB
//        DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(EPSCSMRT)
//*
//STP0003 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('ADATA',
// 'EX(ADX(ELAXMGUX))',
// 'LIB,SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(EPSMPMT)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(EPSMPMT)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSMPMT)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=DFH.V5R4M0.CICS.SDFHCOB
//        DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(EPSMPMT)
//* LINK DYNAMICALLY
//LKED0 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0000 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSCMORT)
//LINK.OBJ0001 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSNBRVL)
//LINK.SYSLIN DD *
     INCLUDE OBJ0000
     INCLUDE OBJ0001
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(EPSCMORT)
//*
//LKED1 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0002 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSCSMRT)
//LINK.OBJ0003 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(EPSMPMT)
//LINK.SYSLIN DD *
     INCLUDE OBJ0002
     INCLUDE OBJ0003
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(EPSCSMRT)
//
